summaryrefslogtreecommitdiff
path: root/files/puppet/modules/pixelated/vagrant_platform.sh
diff options
context:
space:
mode:
Diffstat (limited to 'files/puppet/modules/pixelated/vagrant_platform.sh')
-rwxr-xr-xfiles/puppet/modules/pixelated/vagrant_platform.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/files/puppet/modules/pixelated/vagrant_platform.sh b/files/puppet/modules/pixelated/vagrant_platform.sh
new file mode 100755
index 0000000..67382b4
--- /dev/null
+++ b/files/puppet/modules/pixelated/vagrant_platform.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+#
+# Issues:
+# - homebrew version of git does not work nicely with submodules
+
+hash vagrant 2>/dev/null || { echo >&2 "Vagrant is not installed. Aborting."; exit 1; }
+
+if [ -d ./leap_platform ]
+then
+ cd leap_platform
+ /usr/bin/git pull
+ /usr/bin/git submodule update --init
+else
+ /usr/bin/git clone --branch develop --recursive https://leap.se/git/leap_platform.git
+ cd leap_platform
+fi
+
+vagrant up pixelated --no-provision || vagrant reload
+vagrant provision